be.cin.mycarenet._1_0.carenet.types

## Class NurseContractualCareResponseDetail

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.NurseContractualCareResponseDetail

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:23+01:00",
                 comments="JAXB RI v2.3.7")
      public class NurseContractualCareResponseDetail
      extends Object
      implements Serializable

  Java class for NurseContractualCareResponseDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NurseContractualCareResponseDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ConsultantDoctor" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType" minOccurs="0"/>
               <element name="Decision" type="{urn:be:cin:mycarenet:1.0:carenet:types}DecisionType"/>
               <element name="TreatmentPeriod" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodType" minOccurs="0"/>
               <element name="PaliatifPatient" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NurseContractualCareResponseDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConsultantDoctor()` Gets the value of the consultantDoctor property.
    `DecisionType` | `getDecision()` Gets the value of the decision property.
    `PeriodType` | `getTreatmentPeriod()` Gets the value of the treatmentPeriod property.
    `Boolean` | `isPaliatifPatient()` Gets the value of the paliatifPatient property.
    `void` | `setConsultantDoctor(String value)` Sets the value of the consultantDoctor property.
    `void` | `setDecision(DecisionType value)` Sets the value of the decision property.
    `void` | `setPaliatifPatient(Boolean value)` Sets the value of the paliatifPatient property.
    `void` | `setTreatmentPeriod(PeriodType value)` Sets the value of the treatmentPeriod property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NurseContractualCareResponseDetail

          public NurseContractualCareResponseDetail()

  - ### Method Detail

    - #### getConsultantDoctor

          public String getConsultantDoctor()

      Gets the value of the consultantDoctor property.
      Returns:
        possible object is `String`

    - #### setConsultantDoctor

          public void setConsultantDoctor(String value)

      Sets the value of the consultantDoctor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDecision

          public DecisionType getDecision()

      Gets the value of the decision property.
      Returns:
        possible object is `DecisionType`

    - #### setDecision

          public void setDecision(DecisionType value)

      Sets the value of the decision property.
      Parameters:
        `value` - allowed object is `DecisionType`

    - #### getTreatmentPeriod

          public PeriodType getTreatmentPeriod()

      Gets the value of the treatmentPeriod property.
      Returns:
        possible object is `PeriodType`

    - #### setTreatmentPeriod

          public void setTreatmentPeriod(PeriodType value)

      Sets the value of the treatmentPeriod property.
      Parameters:
        `value` - allowed object is `PeriodType`

    - #### isPaliatifPatient

          public Boolean isPaliatifPatient()

      Gets the value of the paliatifPatient property.
      Returns:
        possible object is `Boolean`

    - #### setPaliatifPatient

          public void setPaliatifPatient(Boolean value)

      Sets the value of the paliatifPatient property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.